Mesh Scale/it: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
 
(15 intermediate revisions by 3 users not shown)
Line 17: Line 17:
}}
}}


<span id="Description"></span>
==Descrizione==
==Descrizione==


The '''Mesh Scale''' command scales mesh objects.
Il comando '''Scala''' scala gli oggetti mesh.


<span id="Usage"></span>
==Utilizzo==
==Utilizzo==


# Selezionare uno o più oggetti mesh.
# Select one or more mesh objects.
# Esistono diversi modi per invocare il comando:
# Select the {{MenuCommand|Meshes → [[Image:Mesh_Scale.svg|16px]] Scale...}} option from the menu.
#* Premere il bottone {{Button|[[Image:Mesh_Scale.svg|16px]] [[Mesh_Scale/it|Scala...]]}}.
# The {{MenuCommand|Scaling}} dialog box opens.
#* Selezionare l'opzione {{MenuCommand|Mesh → [[Image:Mesh_Scale.svg|16px]] Scala...}} dal menu.
# Specify a scaling factor, the value must be larger than {{Value|0}}.
# Il box dialogo {{MenuCommand|Scalatura}} si apre.
# Press the {{button|OK}} button to finish the command.
# Specificare un fattore di scala, il valore deve essere maggiore di {{Value|0}}.
# Premere il bottone {{button|OK}} per terminare il comando.

<span id="Scripting"></span>
==Script==

Vedere anche: [[FreeCAD_Scripting_Basics/it|Script di base per FreeCAD]]

Per scalare una mesh usare il suo metodo {{incode|transformGeometry}}.

{{Code|code=
import FreeCAD as App
import Mesh

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(10, 10, 10)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create and scale a matrix:
mat = App.Matrix()
mat.scale(2.0, 3.0, 4.0) # Unequal scaling.

# We need to work on a copy of the msh.Mesh object:
new_msh = msh.Mesh.copy()

# Transform that copy:
new_msh.transformGeometry(mat)

# Update msh.Mesh:
msh.Mesh = new_msh
}}




<div class="mw-translate-fuzzy">
{{Docnav/it
{{Docnav/it
|[[Mesh_Decimating/it|Decima]]
|[[Mesh_Decimating/it|Decima]]
|[[Mesh_BuildRegularSolid/it|Solido regolare]]
|[[Mesh_BuildRegularSolid/it|Solido regolare]]
|[[Mesh_Workbench/it|Mesh]]
|[[Mesh_Workbench/it|Mesh]]
|IconL=
|IconL=Mesh_Decimating.svg
|IconR=Mesh_BuildRegularSolid.svg
|IconR=Mesh_BuildRegularSolid.svg
|IconC=Workbench_Mesh.svg
|IconC=Workbench_Mesh.svg
}}
}}
</div>


{{Mesh Tools navi{{#translation:}}}}
{{Mesh Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 22:56, 30 November 2023

Other languages:

Scala

Posizione nel menu
Mesh → Scala...
Ambiente
Mesh
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Il comando Scala scala gli oggetti mesh.

Utilizzo

  1. Selezionare uno o più oggetti mesh.
  2. Esistono diversi modi per invocare il comando:
    • Premere il bottone Scala....
    • Selezionare l'opzione Mesh → Scala... dal menu.
  3. Il box dialogo Scalatura si apre.
  4. Specificare un fattore di scala, il valore deve essere maggiore di 0.
  5. Premere il bottone OK per terminare il comando.

Script

Vedere anche: Script di base per FreeCAD

Per scalare una mesh usare il suo metodo transformGeometry.

import FreeCAD as App
import Mesh

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(10, 10, 10)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create and scale a matrix:
mat = App.Matrix()
mat.scale(2.0, 3.0, 4.0) # Unequal scaling.

# We need to work on a copy of the msh.Mesh object:
new_msh = msh.Mesh.copy()

# Transform that copy:
new_msh.transformGeometry(mat)

# Update msh.Mesh:
msh.Mesh = new_msh